Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class Variable

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.model.dynamics.Variable

All Implemented Interfaces:
  DataElement, MutableDataElement

Direct Known Subclasses:
  VariableRole

public class Variable
extends MutableDataElementSupport

Model parameter.

Pendung:
  add isInit, isUsed attributes and they processing

Field Summary
`protected java.lang.String` | `comment`
`protected double` | `initialValue`
`protected java.lang.String` | `units`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`protected` | `Variable(java.lang.String name, DataCollection origin)`
`` | `Variable(java.lang.String name, EModel model, DataCollection origin)`

Method Summary
`java.lang.String` | `getComment()`
`double` | `getInitialValue()`
`java.lang.String` | `getUnits()`
`boolean` | `isConstant()`
`void` | `setComment(java.lang.String comment)`
`void` | `setConstant(boolean constant)`
`void` | `setInitialValue(double initialValue)`
`void` | `setName(java.lang.String name)` Warning: for intrnal usage only.
`void` | `setUnits(java.lang.String units)`
`java.lang.String` | `toString()`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### initialValue

    protected double initialValue

### units

    protected java.lang.String units

### comment

    protected java.lang.String comment

Constructor Detail

### Variable

    protected Variable(java.lang.String name,
                       DataCollection origin)

### Variable

    public Variable(java.lang.String name,
                    EModel model,
                    DataCollection origin)

Method Detail

### setName

    public void setName(java.lang.String name)

  Warning: for intrnal usage only.

### getInitialValue

    public double getInitialValue()

### setInitialValue

    public void setInitialValue(double initialValue)

### getUnits

    public java.lang.String getUnits()

### setUnits

    public void setUnits(java.lang.String units)

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String comment)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MutableDataElementSupport`

### isConstant

    public boolean isConstant()

### setConstant

    public void setConstant(boolean constant)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.